
Redmine - Defect #38512

Email Notifications: offending header

2023-05-03 12:07 - Hendrik Jaeger

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

My rspamd scanner reports for the account registration notification the following symbol:

Symbol: XAW_SERVICE_ACCT(1.00) 

which is triggered by this header:

X-Authentication-Warning: Ubuntu-2004-focal-64-minimal: www-data set sender to noreply@redmine.org using -f 

I’m not sure what MTA that server is using, but it looks like sendmail‽

To prevent this header from being added, it seems you would have to add www-data to the trusted-users list, see e.g.

https://forum.howtoforge.com/threads/fix-for-x-authentication-warning.18269/

I know a few things about email, so if I can assist any further with this issue, let me know!

History

#1 - 2023-05-03 16:02 - Holger Just

- Category changed from Email notifications to Website (redmine.org)

#2 - 2023-05-03 16:14 - Holger Just

- Assignee set to Jean-Philippe Lang

#3 - 2024-06-20 16:53 - Holger Just

- Status changed from New to Confirmed
